package org.amse.vbut.vzab.io;

import javax.swing.*;
import org.amse.vbut.vzab.*;

/**
 * Input/output tools class
 * 
 * @author But Vasiliy
 *
 */
public class IOTools {

	/**
	 * Loads specified icon into the program.
	 * @param imagename - filename of the resource.
	 * @return ImageIcon object with loaded image.
	 */
	public static ImageIcon loadIcon(String imagename) {
		
		if (imagename.charAt(0) != '/') {
			imagename = '/' + imagename;
		}
		
		java.net.URL url = IOTools.class.getResource(imagename);
		
		if (url != null) {
			
			//System.out.println("loadIcon: url = " + url);
			
			ImageIcon imi = new ImageIcon(url);
			if (imi == null) {
				throw new VZabException("Cant load image \"" + url + "\"");
			}

			return imi;
		} else {
			throw new VZabException("Can not load image \"" + imagename + "\"");
		}
	}
	
}
