package org.amse.vbut.vzab.io;

/**
 * Game settings storage interface
 * 
 * @author But Vasiliy
 *
 */
public interface ISettings {

	/**
	 * Returns x coordinate of the top-left corner of the main window
	 * @return x coordinate of the top-left corner of the main window
	 */
	int getMainWindowX();
	
	/**
	 * Returns y coordinate of the top-left corner of the main window
	 * @return y coordinate of the top-left corner of the main window
	 */
	int getMainWindowY();
	
	/**
	 * Returns <tt>true</tt> if win-message must be shown.
	 * @return <tt>true</tt> if win-message must be shown; 
	 * <tt>false</tt> otherwise.
	 */
	boolean isWinMessageShow();
	
	/**
	 * Returns <tt>true</tt> if die-message must be shown.
	 * @return <tt>true</tt> if die-message must be shown; 
	 * <tt>false</tt> otherwise.
	 */
	boolean isDieMessageShow();

	/**
	 * Returns <tt>true</tt> if gray-message must be shown.
	 * @return <tt>true</tt> if gray-message must be shown; 
	 * <tt>false</tt> otherwise.
	 */
	boolean isGrayMessageShow();
}
