package org.amse.vbut.vzab.io.impl;

import javax.swing.*;

import org.amse.vbut.vzab.model.*;
import org.amse.vbut.vzab.model.impl.ModelFactory;
import org.amse.vbut.vzab.*;
import org.amse.vbut.vzab.io.*;

/**
 * Implementation of the IPlayerIO interface
 * 
 * @author But Vasiliy
 *
 */
class PlayerIO implements IPlayerIO {
	
	private final static String PLAYER_ALIVE_IMAGE	= "alive.gif";
	private final static String PLAYER_KILLED_IMAGE	= "killed.gif";
	private final static String BASE_ALIVE_IMAGE	= "base.gif";
	private final static String BASE_KILLED_IMAGE	= "killed-base.gif";
	
	public IPlayer readPlayer(String path, String playername) {
	
		if (!path.endsWith("/")) {
			path += '/';
		}
		
		if (path.charAt(0) != '/') {
			path = '/' + path;
		}
		
		ImageIcon imageAlive = IOTools.loadIcon(path + PLAYER_ALIVE_IMAGE);
		ImageIcon imageKilled = IOTools.loadIcon(path + PLAYER_KILLED_IMAGE);
		ImageIcon imageBase = IOTools.loadIcon(path + BASE_ALIVE_IMAGE);
		ImageIcon imageBaseKilled = IOTools.loadIcon(path + BASE_KILLED_IMAGE);
		
		if (imageAlive == null || imageKilled == null || 
				imageBase == null || imageBaseKilled == null) {
			throw new VZabException("Can't load player \"" + path + "\"");
		}
		
		return ModelFactory.newPlayer(playername, false, imageAlive, imageKilled, 
				imageBase, imageBaseKilled, path);
	}

}
