package org.amse.vbut.vzab.model;

/**
 * Interface of the Board
 * 
 * @author But Vasiliy
 *
 */
public interface IBoard {

	/**
	 * Get dimensions of the Board
	 * @return height of the Board
	 */
	int getHeight();

	/**
	 * Get dimensions of the Board
	 * @return width of the Board
	 */
	int getWidth();

	/**
	 * Get piece on the specified cell on the Board
	 * @param x - x-coordinate of the cell
	 * @param y - y-coordinate of the cell
	 * @return	piece if there is one on the cell;
	 * 			<code>null</code> otherwise. 
	 */
	IPiece getPiece(int x, int y);

	/**
	 * Set piece of the specified player on the specified cell. 
	 * @param x - x-coordinate of the cell
	 * @param y - y-coordinate of the cell
	 */
	void setPiece(int x, int y, IPlayer player);
	
	/**
	 * Removes piece at the specified cell if it exists.
	 * @param x - x-coordinate of the cell
	 * @param y - y-coordinate of the cell
	 */
	void removePiece(int x, int y);

	/**
	 * Clear the Board of all the pieces
	 */
	void clear();

}
