package org.amse.vbut.vzab.model;

public interface IPlayerShell extends IPlayer {
	
	/**
	 * Applies changes have been made with shell.
	 */
	void applyChanges();

	/**
	 * Returns <tt>true</tt> if this player must be deleted from list;
	 * otherwise returns <tt>false</tt>.
	 */
	boolean isDeleted();
	
	/**
	 * Set <i>deleted</i> state to d.
	 */
	void setDeleted(boolean d);
	
	/**
	 * Return IPlayer object associated with the shell or 
	 * <b>null</b> if the shell has no parent.
	 */
	IPlayer getParent();
	
	/**
	 * @return	<tt>true</tt> if this shell is new;
	 * 			<tt>false</tt> otherwise.
	 */
	boolean isNew();
}
