package org.amse.vbut.vzab.tests;

import org.amse.vbut.vzab.model.*;
import org.amse.vbut.vzab.model.impl.*;

import junit.framework.TestCase;


public class PlayerTests extends TestCase {

	private IPlayer myPlayer;

	public void test01() {
		final String ctrlValue = "[,human,]";

		myPlayer = ModelFactory.newPlayer("");

		String str = myPlayer.toString();

		assertEquals(ctrlValue, str);
	}
	
	public void test02() {
		final String ctrlValue = "[1,human,]";

		myPlayer = ModelFactory.newPlayer("1");

		String str = myPlayer.toString();

		assertEquals(ctrlValue, str);
	}
	
	public void test03() {
		final String ctrlValue = "[0,human,]";

		myPlayer = ModelFactory.newPlayer("1");
		
		myPlayer.setName("0");

		String str = myPlayer.toString();

		assertEquals(ctrlValue, str);
	}
	
	public void test04() {
		final String ctrlValue = "[Vinni-puh,computer,]";

		myPlayer = ModelFactory.newPlayer("Vasiliy", true);
		
		myPlayer.setName("Vinni-puh");

		String str = myPlayer.toString();

		assertEquals(ctrlValue, str);
	}
	
	public void test05() {
		IPlayer p1, p2, p3;
		
		myPlayer = ModelFactory.newPlayer("Vasiliy");	

		p1 = ModelFactory.newPlayer("Vasiliy", false);	
		p2 = ModelFactory.newPlayer("Vas");	
		p3 = ModelFactory.newPlayer("Vasiliy", true);
		
		assertTrue(myPlayer.equals(p1));
		assertTrue(myPlayer.equals(p2));
		assertTrue(myPlayer.equals(p3));
		assertFalse(myPlayer.equals(null));
		assertFalse(myPlayer.equals("abracadabra"));
		
		p1.setPath("ggg");
		p2.setComputer(true);
		p3.setComputer(true);
		p3.setPath("aaa");
		
		assertFalse(myPlayer.equals(p1));
		assertTrue(myPlayer.equals(p2));
		assertFalse(myPlayer.equals(p3));
	}

	public void test06() {
		IPlayer p1, p2, p3;
		
		myPlayer = ModelFactory.newPlayer("Vasiliy", false, "aaa");	

		p1 = ModelFactory.newPlayer("Vasiliy", false, "bbb");	
		p2 = ModelFactory.newPlayer("Vas", false, "aaa");	
		p3 = ModelFactory.newPlayer("Vasiliy", true, "aaa");
		
		assertFalse(myPlayer.equals(p1));
		assertTrue(myPlayer.equals(p2));
		assertTrue(myPlayer.equals(p3));
		assertFalse(myPlayer.equals(null));
		assertFalse(myPlayer.equals("abracadabra"));
		
		assertFalse(p1.equals(p2));
		assertFalse(p1.equals(p3));
		
		assertTrue(p2.equals(p3));

		myPlayer.setComputer(true);

		assertFalse(myPlayer.equals(p1));
		assertTrue(myPlayer.equals(p2));
		assertTrue(myPlayer.equals(p3));
		assertFalse(myPlayer.equals(null));
		assertFalse(myPlayer.equals("abracadabra"));
		
		myPlayer.setPath("bbb");
		
		assertTrue(myPlayer.equals(p1));
		assertFalse(myPlayer.equals(p2));
		assertFalse(myPlayer.equals(p3));
		assertFalse(myPlayer.equals(null));
		assertFalse(myPlayer.equals("abracadabra"));
	}

}
