package org.amse.vbut.vzab.view;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 * File filter class.
 * 
 * @author But Vasiliy
 *
 */
public class ExtensionFileFilter extends FileFilter {

	private String myExtension;
	private String myDescription;
	
	public ExtensionFileFilter(String extension, String description) {
		myExtension = extension;
		myDescription = description;
	}
	
	public boolean accept(File file) {
		if (file.isDirectory()) {
			return true;
		}
		return file.getName().endsWith('.' + myExtension);
	}

	public String getDescription() {
		return myDescription;
	}

}
