package org.amse.vbut.vzab.view;

import java.awt.event.*;
import javax.swing.event.*;

/**
 * VMouseListener class
 * 
 * @author But Vasiliy
 *
 */
public class VMouseListener extends MouseInputAdapter {

	private Viewer myView;
	
	public VMouseListener(Viewer view) {
		myView = view;
	}
	
	public void mouseMoved(MouseEvent me) {
		myView.getVPanel().repaint();
	}
	
	public void mousePressed(MouseEvent me) {
		myView.getVPanel().onMousePressed(me);
		myView.updateView();
	}
	
	public void mouseDragged(MouseEvent me) {
		myView.getVPanel().repaint();
	}
	
	public void mouseReleased (MouseEvent me) {
		myView.getVPanel().onMouseReleased(me);
		myView.updateView();
	}
	
}
