package org.amse.vbut.vzab.view.events;

import javax.swing.*;
import java.awt.event.ActionEvent;

import org.amse.vbut.vzab.view.*;
import org.amse.vbut.vzab.model.*;
import org.amse.vbut.vzab.io.*;

@SuppressWarnings("serial")
public class UndoMoveAction extends AbstractAction {

	private Viewer myView;
	
	public UndoMoveAction(Viewer view) {
		super("undo move", IOTools.loadIcon(Main.IMAGES_PATH + "/undo.png"));
		putValue(AbstractAction.SHORT_DESCRIPTION, "Undo move");
		myView = view;
	}
	
	public void actionPerformed(ActionEvent ae) {
		if (isEnabled())
		{
			VPanel panel = myView.getVPanel();
			panel.getGame().undoMove();
		}
		myView.updateView();
	}

	public boolean isEnabled() {
		final IGame game = myView.getVPanel().getGame();
		
		if (game == null) {
			return false;
		}
		
		return game.canUndoMove();
	}
	
}
