package org.amse.vbut.vzab.view.tools;

import java.awt.*;

import javax.swing.*;

import org.amse.vbut.vzab.*;

public class GUITools {

	public static void createRecommendedMargin(JButton[] buttons) {
		for (JButton button: buttons) {
			Insets margin = button.getMargin();
			margin.left = 12;
			margin.right = 12;
			button.setMargin(margin);
		}
	}  
		
	public static void makeSameSize(JComponent[] components) {
		Dimension maxSize = components[0].getPreferredSize();
		for (int i = 1; i < components.length; ++i) {
			Dimension dim = components[i].getPreferredSize();
			if (maxSize.width < dim.width)
			{
				maxSize = dim;
			}
		}
		for (int i=0; i<components.length; i++)	{
			components[i].setPreferredSize(maxSize);
			components[i].setMinimumSize(maxSize);
			components[i].setMaximumSize(maxSize);
		}
	}  
		
	public static void fixComponentHeight(JComponent c) {
		Dimension size = c.getPreferredSize();
		size.width = c.getMaximumSize().width;
		c.setMaximumSize(size);
	}  

	
	public static Color getAWTColor(VZabColor c) {
		return new Color(c.getRed(), c.getGreen(), c.getBlue());
	}

	public static Color getAWTColor(VZabColor c, int alpha) {
		return new Color(c.getRed(), c.getGreen(), c.getBlue(), alpha);
	}
	
	public static VZabColor getVZabColor(Color c) {
		return new VZabColor(c.getRed(), c.getGreen(), c.getBlue());
	}
	
}
